<div class="auth-form-wrapper">
  <mat-card class="auth-form">
    <mat-card-header>
      <mat-card-title>
        <h3>Set New Password</h3>
      </mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <form
        [formGroup]="form"
        (ngSubmit)="onSubmit()"
        id="change-password-form"
      >
        <div class="server-error">
          <mat-error *ngIf="setNewPasswordError$ | async as error">{{
            error
          }}</mat-error>
        </div>
        <mat-form-field class="full-width" appearance="outline">
          <mat-label>New Password</mat-label>
          <input
            matInput
            type="password"
            formControlName="new_password1"
          />
          <mat-error>
            <span
              *ngIf="new_password1?.errors?.minlength"
            >
              Your password should be at least 8 characters long
            </span>
            <span *ngIf="new_password1?.errors?.required">
              Type in your new password
            </span>
          </mat-error>
        </mat-form-field>
        <mat-form-field class="full-width" appearance="outline">
          <mat-label>Confirm New Password</mat-label>
          <input
            matInput
            type="password"
            formControlName="new_password2"
            gtInputMatcher="new_password1"
          />

          <mat-error>
            <span *ngIf="new_password2?.errors?.required">
              Type in your new password
            </span>
            <span *ngIf="new_password2?.errors?.notEqual">
              Your passwords don't match
            </span>
          </mat-error>
        </mat-form-field>
        <gt-loading-button
          class="full-width"
          buttonText="Change Password"
          [loading]="(setnewPasswordLoading$ | async) === true"
          [fullWidth]="true"
        >
          Set New Password
        </gt-loading-button>
      </form>
      <div class="sign-up">
        <p class="mat-body-1">
          <a routerLink="/login">Log in</a>
        </p>
        <p class="mat-body-1">
          <a routerLink="/register">Register</a>
        </p>
      </div>
    </mat-card-content>
  </mat-card>
</div>
